override_config_file(3)

NAME
override_config_file

SYNOPSIS
#include <allegro.h>

void override_config_file(const char *filename);

DESCRIPTION
Specifies a file containing config overrides. These settings will be used in addition to the parameters in the main config file, and where a variable is present in both files this version will take priority. This can be used by application programmers to override some of the config settings from their code, while still leaving the main config file free for the end user to customise. For example, you could specify a particular sample frequency and IBK instrument file, but the user could still use an allegro.cfg file to specify the port settings and irq numbers.

SEE ALSO
override_config_data(3), set_config_file(3)